%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           desktopcouch
Version:        0.5
Release:        2%{?dist}

Summary:        A Desktop CouchDB instance
Group:          Development/Languages
License:        LGPLv3
URL:            https://launchpad.net/desktopcouch
Source:         http://launchpad.net/desktopcouch/trunk/%{version}/+download/desktopcouch-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-distutils-extra

Requires:       python-twisted-core
Requires:       couchdb

Requires:       python-desktopcouch = %{version}
Requires:       python-desktopcouch-records = %{version}

BuildArch:      noarch

%description
A couchDB on every desktop, and the code to help it happen.

%package tools
Summary:        Tools for desktopcouch
Requires:       pygtk2
Requires:       python-desktopcouch
Requires:       desktop-file-utils

%description tools
A couchDB on every desktop, and the code to help it happen.

This package contains tools.


%package -n python-desktopcouch
Summary:        Python bindings for desktopcouch

Requires:       desktopcouch = %{version}
Requires:       dbus-python
Requires:       python-couchdb
Requires:       pyxdg
Requires:       gnome-python2-gnomekeyring
Requires:       python-twisted-core

%description -n python-desktopcouch
A couchDB on every desktop, and the code to help it happen.

These are the python bindings for desktopcouch.

%package -n python-desktopcouch-records
Summary:        Python bindings for desktopcouch records
Requires:       python-desktopcouch = %{version}
Requires:       python-oauth

%description -n python-desktopcouch-records
A couchDB on every desktop, and the code to help it happen.

These are the python bindings for desktopcouch records.


%prep
%setup -q

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

# remove installed docs, we will doc them later
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post tools
update-desktop-database -q

%postun tools
update-desktop-database -q

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/xdg/desktop-couch/compulsory-auth.ini
%{_libdir}/desktopcouch/desktopcouch-service
%{_libdir}/desktopcouch/desktopcouch-stop
%{_datadir}/dbus-1/services/org.desktopcouch.CouchDB.service
%{_datadir}/desktopcouch

%files tools
%defattr(-,root,root)
%{_bindir}/desktopcouch-pair
%{_datadir}/applications/desktopcouch-pair.desktop
%{_mandir}/man1/desktopcouch-pair.1.gz

%files -n python-desktopcouch
%defattr(-,root,root)
%{python_sitelib}/desktopcouch-*egg-info
%dir %{python_sitelib}/desktopcouch
%{python_sitelib}/desktopcouch/*.py*
%{python_sitelib}/desktopcouch/pair
%{python_sitelib}/desktopcouch/tests

%files -n python-desktopcouch-records
%defattr(-,root,root)
%doc desktopcouch/records/doc/*.txt desktopcouch/contacts/*.txt
%{python_sitelib}/desktopcouch/contacts
%{python_sitelib}/desktopcouch/notes
%{python_sitelib}/desktopcouch/records
%{python_sitelib}/desktopcouch/replication_services

%changelog
* Mon Nov 23 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5-2
- Fix requirement of desktop-file-utils

* Sun Nov 22 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5-1
- initial package
